Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartMapReference

    java.lang.Object
      |
      +--com.beasys.commerce.util.PersistenceHelper.DefaultSmartMapReference

All Implemented Interfaces:
  Serializable, SmartMapReference

Enclosing class:
  PersistenceHelper

public static class PersistenceHelper.DefaultSmartMapReference
extends Object
implements SmartMapReference, Serializable

See Also:
  Serialized Form

Constructor Summary
`PersistenceHelper.DefaultSmartMapReference()`

Method Summary
`Iterator` | `cursor()` Get an iterator of the Map's keys
`Map` | `getMap()` Get the wrapped map
`void` | `setMap(Map map)` Set the entire map

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartMapReference

    public PersistenceHelper.DefaultSmartMapReference()

Method Detail

### getMap

    public Map getMap()

  Description copied from interface: `SmartMapReference`
  Get the wrapped map

  Specified by:
    `getMap` in interface `SmartMapReference`
  Returns:
    the Map contained in the wrapper

### setMap

    public void setMap(Map map)

  Description copied from interface: `SmartMapReference`
  Set the entire map

  Specified by:
    `setMap` in interface `SmartMapReference`
  Parameters:
    `map` - the Map to wrap

### cursor

    public Iterator cursor()

  Description copied from interface: `SmartMapReference`
  Get an iterator of the Map's keys

  Specified by:
    `cursor` in interface `SmartMapReference`
  Returns:
    an iterator of the Map's keys

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved